package com.hs.api.model;

import java.util.Date;

public class DicIndInfo {
    private Integer id;

    private Date createDate;

    private String createUserid;

    private Integer state;

    private String indCode;

    private String indName;

    private String indField;

    private String showField;

    private String columnType;

    private Integer computeMode;

    private Integer execWay;

    private String columnWay;

    private String paramSt;

    private String paramNd;

    private String paramRd;

    private String describe;

    private String checkSql;

    private String calculateWay;

    private String execSql;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreateUserid() {
        return createUserid;
    }

    public void setCreateUserid(String createUserid) {
        this.createUserid = createUserid;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getIndCode() {
        return indCode;
    }

    public void setIndCode(String indCode) {
        this.indCode = indCode;
    }

    public String getIndName() {
        return indName;
    }

    public void setIndName(String indName) {
        this.indName = indName;
    }

    public String getIndField() {
        return indField;
    }

    public void setIndField(String indField) {
        this.indField = indField;
    }

    public String getShowField() {
        return showField;
    }

    public void setShowField(String showField) {
        this.showField = showField;
    }

    public String getColumnType() {
        return columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    public Integer getComputeMode() {
        return computeMode;
    }

    public void setComputeMode(Integer computeMode) {
        this.computeMode = computeMode;
    }

    public Integer getExecWay() {
        return execWay;
    }

    public void setExecWay(Integer execWay) {
        this.execWay = execWay;
    }

    public String getColumnWay() {
        return columnWay;
    }

    public void setColumnWay(String columnWay) {
        this.columnWay = columnWay;
    }

    public String getParamSt() {
        return paramSt;
    }

    public void setParamSt(String paramSt) {
        this.paramSt = paramSt;
    }

    public String getParamNd() {
        return paramNd;
    }

    public void setParamNd(String paramNd) {
        this.paramNd = paramNd;
    }

    public String getParamRd() {
        return paramRd;
    }

    public void setParamRd(String paramRd) {
        this.paramRd = paramRd;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getCheckSql() {
        return checkSql;
    }

    public void setCheckSql(String checkSql) {
        this.checkSql = checkSql;
    }

    public String getCalculateWay() {
        return calculateWay;
    }

    public void setCalculateWay(String calculateWay) {
        this.calculateWay = calculateWay;
    }

    public String getExecSql() {
        return execSql;
    }

    public void setExecSql(String execSql) {
        this.execSql = execSql;
    }
}